# Uses of Class
com.fasterxml.jackson.annotation.JsonAutoDetect.Value

## Uses of JsonAutoDetect.Value in com.fasterxml.jackson.annotation

Fields in com.fasterxml.jackson.annotation declared as JsonAutoDetect.Value
Modifier and Type
Field
Description
`protected static final JsonAutoDetect.Value`
JsonAutoDetect.Value.`DEFAULT`
Default instance with baseline visibility checking: Only public fields visible Only public getters, is-getters visible All setters (regardless of access) visible Only public Creators visible
`protected static final JsonAutoDetect.Value`
JsonAutoDetect.Value.`NO_OVERRIDES`
Empty instance that specifies no overrides, that is, all visibility levels set as `JsonAutoDetect.Visibility.DEFAULT`.
Methods in com.fasterxml.jackson.annotation that return JsonAutoDetect.Value
Modifier and Type
Method
Description
`static JsonAutoDetect.Value`
JsonAutoDetect.Value.`construct(JsonAutoDetect.Visibility fields, JsonAutoDetect.Visibility getters, JsonAutoDetect.Visibility isGetters, JsonAutoDetect.Visibility setters, JsonAutoDetect.Visibility creators)`
`static JsonAutoDetect.Value`
JsonAutoDetect.Value.`construct(PropertyAccessor acc, JsonAutoDetect.Visibility visibility)`
Factory method for constructing instance with visibility of specified accessor (or, in case of `ALL`, all of them) set as specified; and the rest (if any) set as `JsonAutoDetect.Visibility.DEFAULT`).
`static JsonAutoDetect.Value`
JsonAutoDetect.Value.`defaultVisibility()`
`static JsonAutoDetect.Value`
JsonAutoDetect.Value.`from(JsonAutoDetect src)`
`static JsonAutoDetect.Value`
JsonAutoDetect.Value.`merge(JsonAutoDetect.Value base, JsonAutoDetect.Value overrides)`
`static JsonAutoDetect.Value`
JsonAutoDetect.Value.`noOverrides()`
`JsonAutoDetect.Value`
JsonAutoDetect.Value.`withCreatorVisibility(JsonAutoDetect.Visibility v)`
`JsonAutoDetect.Value`
JsonAutoDetect.Value.`withFieldVisibility(JsonAutoDetect.Visibility v)`
`JsonAutoDetect.Value`
JsonAutoDetect.Value.`withGetterVisibility(JsonAutoDetect.Visibility v)`
`JsonAutoDetect.Value`
JsonAutoDetect.Value.`withIsGetterVisibility(JsonAutoDetect.Visibility v)`
`JsonAutoDetect.Value`
JsonAutoDetect.Value.`withOverrides(JsonAutoDetect.Value overrides)`
`JsonAutoDetect.Value`
JsonAutoDetect.Value.`withSetterVisibility(JsonAutoDetect.Visibility v)`
Methods in com.fasterxml.jackson.annotation with parameters of type JsonAutoDetect.Value
Modifier and Type
Method
Description
`static JsonAutoDetect.Value`
JsonAutoDetect.Value.`merge(JsonAutoDetect.Value base, JsonAutoDetect.Value overrides)`
`JsonAutoDetect.Value`
JsonAutoDetect.Value.`withOverrides(JsonAutoDetect.Value overrides)`